=== debian/changelog ===
libre (3.11.0) unstable; urgency=medium

  * version 3.11.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 9 Apr 2024 09:00:00 +0200

libre (3.10.0) unstable; urgency=medium

  * version 3.10.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 6 Mar 2024 11:40:00 +0100

libre (3.9.0) unstable; urgency=medium

  * version 3.9.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Wed, 31 Jan 2024 08:29:02 +0100

libre (3.8.0) unstable; urgency=medium

  * version 3.8.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 27 Dec 2023 14:00:00 +0200

libre (3.7.0) unstable; urgency=medium

  * version 3.7.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 22 Nov 2023 08:00:00 +0200

libre (3.6.2) unstable; urgency=medium

  * version 3.6.2

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Mon, 6 Nov 2023 14:00:00 +0200

libre (3.6.1) unstable; urgency=medium

  * version 3.6.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Fri, 3 Nov 2023 14:00:00 +0200

libre (3.5.1) unstable; urgency=medium

  * version 3.5.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Sep 2023 14:00:00 +0200

libre (3.5.0) unstable; urgency=medium

  * version 3.5.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 12 Sep 2023 08:00:00 +0200

libre (3.4.0) unstable; urgency=medium

  * version 3.4.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 9 Aug 2023 08:00:00 +0200

libre (3.3.0) unstable; urgency=medium

  * version 3.3.0

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Wed, 5 Jul 2023 08:55:20 +0200

libre (3.2.0) unstable; urgency=medium

  * version 3.2.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 31 May 2023 08:00:00 +0200

libre (3.1.0) unstable; urgency=medium

  * version 3.1.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 27 Apr 2023 08:00:00 +0200

libre (3.0.0) unstable; urgency=medium

  * version 3.0.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Mon, 20 Mar 2023 08:00:00 +0200

libre (2.12.0) unstable; urgency=medium

  * version 2.12.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 15 Feb 2023 08:00:00 +0200

libre (2.11.0) unstable; urgency=medium

  * version 2.11.0

 -- Christian Spielberger <c.spielberger@commend.com>  Wed, 11 Jan 2023 08:00:00 +0200

libre (2.10.0) unstable; urgency=medium

  * version 2.10.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 6 Dec 2022 08:00:00 +0200

libre (2.9.0) unstable; urgency=medium

  * version 2.9.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 1 Nov 2022 08:00:00 +0200

libre (2.8.0) unstable; urgency=medium

  * version 2.8.0

 -- Christian Spielberger <c.spielberger@commend.com>  Sat, 1 Oct 2022 08:00:00 +0200

libre (2.7.0) unstable; urgency=medium

  * version 2.7.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 1 Sep 2022 08:00:00 +0200

libre (2.6.1) unstable; urgency=medium

  * version 2.6.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 2 Aug 2022 08:00:00 +0200

libre (2.6.0) unstable; urgency=medium

  * version 2.6.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Mon, 1 Aug 2022 08:00:00 +0200

libre (2.5.0) unstable; urgency=medium

  * version 2.5.0

 -- Christian Spielberger <c.spielberger@commend.com>  Fri, 1 Jul 2022 08:00:00 +0200

libre (2.4.0) unstable; urgency=medium

  * version 2.4.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Wed, 1 Jun 2022 08:00:00 +0200

libre (2.3.0) unstable; urgency=medium

  * version 2.3.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Sun, 1 May 2022 08:00:00 +0200

libre (2.2.2) unstable; urgency=medium

  * version 2.2.2

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Fri, 9 Apr 2022 08:00:00 +0200

libre (2.2.1) unstable; urgency=medium

  * version 2.2.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Fri, 1 Apr 2022 08:00:00 +0200

libre (2.2.0) unstable; urgency=medium

  * version 2.2.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Fri, 28 Mar 2022 08:00:00 +0200

libre (2.1.1) unstable; urgency=medium

  * version 2.1.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Fri, 12 Mar 2022 08:00:00 +0200

libre (2.1.0) unstable; urgency=medium

  * version 2.1.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Fri, 11 Mar 2022 08:00:00 +0200

libre (2.0.1) unstable; urgency=medium

  * version 2.0.1

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Tue, 13 Jul 2021 08:00:00 +0200

libre (2.0.0) unstable; urgency=medium

  * version 2.0.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 10 Apr 2021 09:00:00 +0200

libre (1.1.0) unstable; urgency=medium

  * version 1.1.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 04 Oct 2020 09:00:00 +0200

libre (1.0.0) unstable; urgency=medium

  * version 1.0.0

 -- Sebastian Reimers <sebastian.reimers@gmail.com>  Thu, 08 Sep 2020 08:00:00 +0200

libre (0.6.1-3) unstable; urgency=medium

  * version 0.6.1-3

 -- Richard Aas <richaraas@gmail.com>  Thu, 23 Apr 2020 13:00:00 +0200

libre (0.6.1-2) unstable; urgency=medium

  * version 0.6.1-2

 -- Richard Aas <richaraas@gmail.com>  Wed, 4 Mar 2020 14:00:00 +0100

libre (0.6.1-1) unstable; urgency=medium

  * version 0.6.1-1

 -- Richard Aas <richaraas@gmail.com>  Tue, 25 Feb 2020 09:00:00 +0100

libre (0.6.1) unstable; urgency=medium

  * version 0.6.1

 -- Alfred E. Heggestad <alfred.heggestad@gmail.com>  Sat, 7 Sep 2019 08:00:00 +0200

libre (0.6.0-6) unstable; urgency=medium

  * version 0.6.0-6

 -- Richard Aas <richaraas@gmail.com>  Thu, 04 Jul 2019 12:00:00 +0200

libre (0.6.0-4) unstable; urgency=medium

  * version 0.6.0-4

 -- Richard Aas <richaraas@gmail.com>  Fri, 26 Apr 2019 12:00:00 +0200

libre (0.6.0-3) unstable; urgency=medium

  * version 0.6.0-3

 -- Richard Aas <richaraas@gmail.com>  Fri, 1 Feb 2019 12:00:00 +0100

libre (0.6.0-2) unstable; urgency=medium

  * version 0.6.0-2


